Update a notebook entry's metadata
Update a notebook entry's metadata
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entry_id
ID of the entry
Query parameters
returning
Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.
Note: “days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “days.notes.text” will return the same model as “days.notes”.
Request
This endpoint expects an object.
fields
Schema fields to set on the entry
folderId
ID of the folder that will contain the entry
name
New name of the entry
schemaId
ID of the schema for the entry
Response
OK
apiURL
The canonical url of the Entry in the API.
archiveRecord
ArchiveRecord Resource if the entry is archived. This is null if the entry is not archived.
assignedReviewers
Array of users assigned to review the entry, if any.
createdAt
DateTime the entry was created at
creator
UserSummary Resource of the user who created the entry
customFields
days
Array of day objects. Each day object has a date field (string) and notes field (array of notes, expand further for details on note types).
displayId
User-friendly ID of the entry
entryTemplateId
ID of the Entry Template this Entry was created from
fields
folderId
ID of the folder that contains the entry
id
ID of the entry
modifiedAt
DateTime the entry was last modified
name
Title of the entry
reviewRecord
Review record if set
schema
Entry schema if set
webURL
URL of the entry